> For the complete documentation index, see [llms.txt](https://docs.oxapay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oxapay.com/api-reference/common/account-balance.md).

# Account Balance

This endpoint allows you to retrieve the details of all wallets associated with a user, including a list of currencies and their corresponding amounts.

## GET /general/account/balance

> Get account balance

```json
{"openapi":"3.0.0","info":{"title":"Commons","version":"1.0.0"},"servers":[{"url":"https://api.oxapay.com/v1"}],"security":[],"paths":{"/general/account/balance":{"get":{"operationId":"accountBalance","summary":"Get account balance","responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","description":"Object keyed by currency symbol. Each value represents the account balance for that currency."},"message":{"type":"string","description":"A message containing additional information about the result of the request."},"error":{"type":"object","description":"An object that provides details about any errors that occurred.","nullable":true,"properties":{"type":{"type":"string","description":"Type of the error"},"key":{"type":"string","description":"Key related to the error"},"message":{"type":"string","description":"Error message"}}},"status":{"type":"integer","description":"The status of the request response. Typically provided as a numeric code."},"version":{"type":"string","description":"The version of the API being used."}}}}}},"400":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{}},"message":{"type":"string","description":"A message containing additional information about the result of the request."},"error":{"type":"object","description":"An object that provides details about any errors that occurred.","nullable":true,"properties":{"type":{"type":"string","description":"Type of the error"},"key":{"type":"string","description":"Key related to the error"},"message":{"type":"string","description":"Error message"}}},"status":{"type":"integer","description":"The status of the request response. Typically provided as a numeric code."},"version":{"type":"string","description":"The version of the API being used."}}}}}}},"tags":["Account-balance"],"parameters":[{"in":"header","name":"general_api_key","required":true,"schema":{"type":"string"},"description":"Your General API Key for authentication and authorization."},{"in":"header","name":"Content-Type","required":true,"schema":{"type":"string","default":"application/json"}},{"name":"currency","in":"query","description":"Specify a specific currency to get the balance for that currency. If not provided, the response will contain the balance for all available currencies.","required":false,"schema":{"type":"string"}}]}}}}
```
